curl "https://inkypump.com/api/eoti?chainId=57073&includeBidData=true"
{
"bidData": {
"currentBid": "<string>",
"startBid": "<string>",
"lastBidAmount": "<string>",
"lastBidTime": "<string>",
"lastBid": {},
"nextBoostedToken": "<string>",
"currentBoostedToken": "<string>",
"lastBoostedToken": "<string>",
"isEpochTaken": true,
"displayState": {}
}
}InkyPump API
Emperor of the INK
Read the current boosted token and optional live auction state.
GET
/
api
/
eoti
curl "https://inkypump.com/api/eoti?chainId=57073&includeBidData=true"
{
"bidData": {
"currentBid": "<string>",
"startBid": "<string>",
"lastBidAmount": "<string>",
"lastBidTime": "<string>",
"lastBid": {},
"nextBoostedToken": "<string>",
"currentBoostedToken": "<string>",
"lastBoostedToken": "<string>",
"isEpochTaken": true,
"displayState": {}
}
}Query parameters
number
default:"57073"
57073 for Ink or 4663 for Robinhood.string
Read a specific token instead of resolving the current boosted token.
boolean
default:"false"
Include the current auction values.
Response
When a boosted token exists, the endpoint returns its token object directly. WithincludeBidData=true, it also adds:
object
Live auction data.
Show Bid data
Show Bid data
string
Required bid in native wei.
string
Epoch starting bid in native wei.
string
Previous bid in native wei.
string
Previous bid time as a Unix timestamp string.
object | null
Formatted prior bid with
amount in native ETH and numeric timestamp.string
Optional next token address.
string
Optional current token address.
string
Optional prior token address.
boolean
Whether the current auction epoch has been taken.
"available" | "partial"
Whether all display-only token lookups succeeded.
{ "bidData": ... }. A chain without the boost contract returns { "disabled": true }.
Errors
| Status | Meaning |
|---|---|
400 | Bad token address or chain |
403 | EOTI is disabled by the chain capability registry |
404 | No reigning token and no requested bid state |
429 | More than 120 requests per minute for the rate-limit key |
503 | Contract state is temporarily unavailable |
curl "https://inkypump.com/api/eoti?chainId=57073&includeBidData=true"